c-----------------------------------------------------------------------
c gentable.f
c-----------------------------------------------------------------------
		subroutine gentable(Rstar, tau, eta,r,t,
     .       dR, dtau, Rmin, Rmax, tmin, tmax, stp, itmax, mass, NT,NR)
		  implicit none

		  integer NR, NT, itmax

		  real Rstar(NR), tau(NT)

		  real r(NT,NR), t(NT,NR), eta(NT, NR)

		  real mass, dR, dtau, stp

		  real Rmin, Rmax, tmin, tmax

			write(0,*)'Using'
			write(0,*)'NT=',NT,' NR=',NR
			write(0,*)'Rmin Rmax', Rmin, Rmax
			write(0,*)'Tmin Tmax', Tmin, Tmax
			write(0,*)'mass = ',mass
			write(0,*)'itmax = ',itmax
			write(0,*)'stop = ',stp

		
		   write(0,*)'Initializing coordinates'

		   call InitCrd(Rstar, tau,Rmin, Rmax, tmin, tmax,NR,NT)

         dtau = tau(2) - tau(1)

c     First thing to be done is to solve for eta

         write(0,*)'Solving for eta'
         call NewtSlv(Rstar,eta,tau,mass,stp,itmax,NT,NR)


c     Now generate r and t
  
         write(0,*)'generating r and t'
         call GetRT(tau,Rstar,eta,r,t,mass,NT,NR)

c     Calculate partials

c         write(0,*)'Getting partials'
c         call GetPartials(tau,Rstar,r,mass,drdtau,drdRstar,NT,NR)

c		write(0,*)'Dumping Data'
c		call dumpdata(Rstar,r,tau,gRR, gtt, kRR, ktt, 
c     .		drdtau,drdRstar,dtdtau,dtdRstar,NT,NR)


		  return
		end	

c-----------------------------------------------------------------------
